Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse SmartHome » SOLVED:API Incompatibility still exist | Update of master done
SOLVED:API Incompatibility still exist | Update of master done [message #1800296] Sun, 23 December 2018 21:42 Go to next message
Ferdinand Trommsdorff is currently offline Ferdinand TrommsdorffFriend
Messages: 3
Registered: December 2018
Junior Member
Hello all,

I have faced issue #6717 and updated the master branch to e16aa91a, which should fix the problem. Unfortunately, the problem still occurs. The log within the IDE is still the same. I have checked, if the sources within the IDE are updated.

Can I start the build outside the IDE?

Yes, I am new to Eclipse SmartHome.

Thanks for your help.

[Updated on: Sat, 29 December 2018 20:17]

Report message to a moderator

Re: API Incompatibility still exist | Update of master done [message #1800297 is a reply to message #1800296] Sun, 23 December 2018 22:08 Go to previous messageGo to next message
Kai Kreuzer is currently offline Kai KreuzerFriend
Messages: 673
Registered: December 2011
Senior Member
Please pull the latest master, which includes https://github.com/eclipse/smarthome/pull/6723 - this should work again!
Re: API Incompatibility still exist | Update of master done [message #1800478 is a reply to message #1800297] Sat, 29 December 2018 09:58 Go to previous messageGo to next message
Ferdinand Trommsdorff is currently offline Ferdinand TrommsdorffFriend
Messages: 3
Registered: December 2018
Junior Member
I have updated my local master branch, HEAD is pointing to this commit:
Author: Christoph Weitkamp <github@christophweitkamp.de>
Date: Thu Dec 27 21:16:49 2018 +0100

Actually, within the IDE, the workspace still is set to an older, not working commit. I have tried to update the workspace, marking all files with Ctrl+A and then do a refresh action. But if I try to find out the current git revision, e. g. for a component, then it points to a commit with the following date:
GitHub <noreply@github.com> on 2018-12-23 21:37:27

I have checked the preferences of the workspace within the IDE, but I wasn't lucky until now.

Edit [2018-12-29 11:06]:
I am looking in the "package explorer"-> choose one package -> "properties" -> "git" -> then following the link of "HEAD", which opens the commit information. Here I can see, that all packages are not updated. If I am working outside the IDE on the shell, the updated branch is visible for me.


Edit [2018-12-29 11:15]:
Build from IDE fails with same error as before.

Edit [2018-12-29 11:58]:
Build from command line "mvn clean install" is also not working. Hmm...

[Updated on: Sat, 29 December 2018 11:00]

Report message to a moderator

Re: API Incompatibility still exist | Update of master done [message #1800484 is a reply to message #1800478] Sat, 29 December 2018 20:18 Go to previous message
Ferdinand Trommsdorff is currently offline Ferdinand TrommsdorffFriend
Messages: 3
Registered: December 2018
Junior Member
Solution was: checkout of different branch, and re-checkout original branch. After this, maven recognized the current head revision.
Previous Topic:SOLVED: Created binding but no Supported Things exist in Paper UI
Next Topic:SOLVED: Using config to enable/disable background discovery
Goto Forum:
  


Current Time: Fri Feb 28 22:54:22 GMT 2020

Powered by FUDForum. Page generated in 0.01824 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top